---
updatedAt: 2026-10-29T12:18:03.000Z
---

# Upload Creative Image

Upload image assets for building a creative for a specific advertiser

<Callout icon="📘" theme="info">
  ### URL: ​POST /api/v1/assets/photo
</Callout>

# Form-Data Properties

| Parameter | Description                                                                                                               | Type   | Required | Possible Values                                                                                                                                 |
| :-------- | :------------------------------------------------------------------------------------------------------------------------ | :----- | :------- | :---------------------------------------------------------------------------------------------------------------------------------------------- |
| file      | The binary data for the suitable image file demonstrating your creative                                                   | file   | Y        | The file should be: <ul><li>Any image file of the format: jpeg/png </li><li>Max file size 10 mb</li><li>Max dimensions 5000px\*5000px</li></ul> |
| assetType | Identifies the type of photo asset as either an image or logo. CP UI will use this to populate the Photos and Logos tabs. | string | Y        | Values: `image`, `logo`<br />Default value: image                                                                                               |

**Note:** *Please find Ad Unit Image Dimensions &#x20;*<Anchor target="_blank" href="https://developer.walmart.com/advertising-partners/docs/appendix">*here*</Anchor>

# Request Parameters

| Parameter    | Description           | Type    | Required | Possible Values     |
| :----------- | :-------------------- | :------ | :------- | :------------------ |
| advertiserId |  ID of the advertiser | integer | Y        | Valid advertiser ID |

##

# Headers

| Header Name              | Description                                                                                                                                    | Required | Values                                                                                                                                           |
| ------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| Authorization            | The token will provide you the access to the API. It is same for all advertisers you access through the API.                                   | Y        | Please utilize the generated `auth_token` shared with you at the time of partner onboarding from the Getting Started Guide                       |
| Content-Type             | Format of the message body                                                                                                                     | Y        | application/json                                                                                                                                 |
| WM\_CONSUMER.ID          | Unique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access   through the API.    | Y        | Please use the generated `ConsumerId` shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information |
| WM\_SEC.AUTH\_SIGNATURE  | Signature for authentication                                                                                                                   | Y        | Use the signature generator code from Getting Started Guide to generate this value                                                               |
| WM\_SEC.KEY\_VERSION     | Key version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.            | Y        | 1                                                                                                                                                |
| WM\_CONSUMER.intimestamp | Timestamp for  which the auth signature is generated. Use Unix epoch format for the timestamp.                                                 | Y        | Use the signature generator code from Getting Started Guide to generate this value                                                               |

**Note: advertiser\_id is serving as header parameter in this request. This header is X-Advertiser-ID. If You pass a request with headers like advertiserId=123, the request will fail.**

## Sample Request

```curl

curl -X POST 
'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/assets/photo' 
--header 'X-Advertiser-ID: <advertiser_id>' 
--header 'Content-Type: multipart/form-data' 
--header 'Authorization: Bearer <auth_token>' 
--header 'WM_SEC.AUTH_SIGNATURE: **************' 
--header 'WM_SEC.KEY_VERSION: 1' 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' 
--header 'WM_CONSUMER.intimestamp: 1565309779' 
--form 'assetType=logo' 
--form 'file=@"/test-image.jpeg" '

```

# Response

| Field   | Description                                                                                                                                                                                                                                                   | Optional field/Nullable? | Type           | Possible values                                                                                                                                                              |
| :------ | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------ | :------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| code    | The response code can have following values:`<ul><li>`success`</li><li>`failure`</li></ul>`<br />Click [here ](https://developer.walmart.com/advertising-partners/docs/api-status-codes-and-error-handling)for more information about Status Codes and Errors | Y                        | string         | success, failure                                                                                                                                                             |
| assetId | Identifier for the image uploaded. Use assetId to use this image while building creatives<br /><br />Only returned when code=success                                                                                                                          |                          | string         |                                                                                                                                                                              |
| details | List of error codes associated with the request. Use these codes for programmatic error handling.                                                                                                                                                             | N                        | array<string>  | Refer to this <Anchor target="_blank" href="https://developer.walmart.com/advertising-partners/docs/creative-platform-error-codes">link</Anchor> for detailed error messages |
| message | High-level summary of the error, when available.                                                                                                                                                                                                              | Y                        | string         |                                                                                                                                                                              |
| errors  | Detailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description.                                                                                                                  | Y                        | array\<object> |                                                                                                                                                                              |

## errors Array Object Details

| Field       | Description                                                                                                                            | Optional field/Nullable? | Type   | Possible values |
| :---------- | :------------------------------------------------------------------------------------------------------------------------------------- | ------------------------ | :----- | --------------- |
| field       | JSON field associated with the error. Omitted if the error applies to the request as a whole.                                          | Y                        | string |                 |
| errorType   | Machine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic. | N                        | string |                 |
| description | Human-readable explanation of the error, including why the request failed and, when possible, how to resolve it                        | N                        | string |                 |

## Sample Response - Success

```json
[  
    {  
        "code": "success",  
        "details": ["success"],  
        "assetId": "123d567-g7ty" 
    } 
]
```

## Sample Response - Failure

```json
[
  {
    "code": "failure",
    "details": [
      "string"
    ],
    "message": "string",
    "errors": [
      {
        "field": "string",
        "errorType": "string",
        "description": "string"
      }
    ]
  }
]
```